import { CashDepositBarcode, StoreLocation, GenerateBarcodeRequest } from "../types/cashDeposit";
import { UnitResponse, UnitConfig, Coordinates } from "../types/common";
import { BaseResource } from "./baseResource";
export declare class CashDeposits extends BaseResource {
    private basePath;
    constructor(token: string, basePath: string, config?: UnitConfig);
    list(params: StoreLocationListParams): Promise<UnitResponse<StoreLocation[]>>;
    generateBarcode(request: GenerateBarcodeRequest): Promise<UnitResponse<CashDepositBarcode>>;
    getImage(barcodeNumber: string): Promise<string>;
}
export interface StoreLocationListParams {
    coordinates?: Coordinates;
    postalCode?: string;
    serviceType: "Barcode" | "Swipe";
    limit?: number;
    offset?: number;
}
