"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreditApplications = void 0;
const baseResource_1 = require("./baseResource");
class CreditApplications extends baseResource_1.BaseResource {
    constructor(token, basePath, config) {
        super(token, basePath + "/credit-applications", config);
    }
    async create(request) {
        return this.httpPost("", { data: request });
    }
    async approve(credit_application_id) {
        return this.httpPost(`/approve/${credit_application_id}/`);
    }
    async deny(credit_application_id) {
        return this.httpPost(`/deny/${credit_application_id}/`);
    }
    async update(request) {
        return this.httpPatch(`/${request.id}`, { data: request.data });
    }
    async get(credit_application_id) {
        return this.httpGet(`/${credit_application_id}`);
    }
    async list(params) {
        const parameters = {
            "page[limit]": ((params === null || params === void 0 ? void 0 : params.limit) ? params === null || params === void 0 ? void 0 : params.limit : 100),
            "page[offset]": ((params === null || params === void 0 ? void 0 : params.offset) ? params === null || params === void 0 ? void 0 : params.offset : 0),
            ...((params === null || params === void 0 ? void 0 : params.lendingProgramId) && { "filter[lendingProgramId]": params === null || params === void 0 ? void 0 : params.lendingProgramId }),
            ...((params === null || params === void 0 ? void 0 : params.orgId) && { "filter[orgId]": params === null || params === void 0 ? void 0 : params.orgId }),
            ...((params === null || params === void 0 ? void 0 : params.applicationId) && { "filter[applicationId]": params === null || params === void 0 ? void 0 : params.applicationId }),
            ...((params === null || params === void 0 ? void 0 : params.bankId) && { "filter[bankId]": params === null || params === void 0 ? void 0 : params.bankId }),
            ...((params === null || params === void 0 ? void 0 : params.customerId) && { "filter[customerId]": params === null || params === void 0 ? void 0 : params.customerId })
        };
        return this.httpGet("", { params: parameters });
    }
}
exports.CreditApplications = CreditApplications;
