"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TaxForms = void 0;
const baseResource_1 = require("./baseResource");
class TaxForms extends baseResource_1.BaseResource {
    constructor(token, basePath, config) {
        super(token, basePath + "/tax-forms", config);
    }
    async list(params) {
        const parameters = {
            "page[limit]": ((params === null || params === void 0 ? void 0 : params.limit) ? params.limit : 100),
            "page[offset]": ((params === null || params === void 0 ? void 0 : params.offset) ? params.offset : 0),
            ...((params === null || params === void 0 ? void 0 : params.accountId) && { "filter[accountId]": params.accountId }),
            ...((params === null || params === void 0 ? void 0 : params.customerId) && { "filter[customerId]": params.customerId }),
            ...((params === null || params === void 0 ? void 0 : params.taxYears) && { "filter[taxYears]": params.taxYears }),
            ...((params === null || params === void 0 ? void 0 : params.taxFormTypes) && { "filter[taxFormTypes]": params.taxFormTypes })
        };
        return this.httpGet("", { params: parameters });
    }
    get(taxFormId) {
        return this.httpGet(`/${taxFormId}`);
    }
    getPdf(taxFormId, responseEncoding = "binary", responseType = "blob") {
        return this.httpGet(`/${taxFormId}/pdf`, { responseEncoding, responseType });
    }
}
exports.TaxForms = TaxForms;
